# Trigger script for docker builds

This script is able to trigger a rebuild of your docker images on [Docker Hub](https://hub.docker/com/). You need to create a trigger, extract two uuids and put them in a confguration file.

### Configuration
Place config file in `trigger.d/<service>.conf` with the following content.

```
REPO=ec8cfbee-3fb2-462e-bbde-7a327e3072da
TOKEN=a58a35f0-0a69-483e-b93f-b1850a184aca
TAGS=(latest tag1 tag2 ...)
```
The information about the token uuids can you get on your build configuration site on [Docker Hub](https://hub.docker.com/).

### Usage
You can now trigger a rebuild of your images with:
```
./trigger dummy latest
```
or
```
./trigger dummy all
```
